org.apache.maven.scm.provider.local.command.checkout

## Class LocalCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.local.command.checkout.LocalCheckOutCommand

All Implemented Interfaces:
  Command, LocalCommand

    public class LocalCheckOutCommand
    extends AbstractCheckOutCommand
    implements LocalCommand

Version:
  $Id: LocalCheckOutCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`LocalCheckOutCommand()`

### Method Summary

Methods
`protected CheckOutScmResult` `executeCheckOutCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, boolean recursive)` Execute Check out command line.

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### LocalCheckOutCommand

    public LocalCheckOutCommand()

### Method Detail

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repo,
                                           ScmFileSet fileSet,
                                           ScmVersion version,
                                           boolean recursive)
                                                throws ScmException

Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `repo` - not null
  `fileSet` - not null
  `version` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any